# DataExchange
TKXSBase
MoniTool

# MoniTool_ElemHasher Class Reference

ElemHasher defines HashCode for Element, which is : ask a
Element its HashCode ! Because this is the Element itself
which brings the HashCode for its Key
This class complies to the template given in TCollection by
MapHasher itself
.

`#include <MoniTool_ElemHasher.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | HashCode (const Handle(MoniTool_Element)&K, const Standard_Integer Upper)
| Returns a HashCode in the range <0,Upper> for a Element : asks the Element its HashCode then transforms it to be in the required range .
static Standard_EXPORT Standard_Boolean | IsEqual (const Handle(MoniTool_Element)&K1, const Handle(MoniTool_Element)&K2)
| Returns True if two keys are the same. The test does not work on the Elements themselves but by calling their methods Equates .

## Member Function Documentation

static Standard_EXPORT Standard_Integer MoniTool_ElemHasher::HashCode | ( | const Handle(MoniTool_Element)& | K,
|  | const Standard_Integer | Upper
| ) | `[static]`

static Standard_EXPORT Standard_Boolean MoniTool_ElemHasher::IsEqual | ( | const Handle(MoniTool_Element)& | K1,
|  | const Handle(MoniTool_Element)& | K2
| ) | `[static]`

void MoniTool_ElemHasher::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MoniTool_ElemHasher::operator new | ( | size_t | size | ) | `[inline]`

void* MoniTool_ElemHasher::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- MoniTool_ElemHasher.hxx